Subject: Re: Debian/Win32
From: [email-masked] (Fergus Henderson)

9 Aug 1997 21:48:51 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Jim Pick)
Original-Cc: [email-masked] (win32),
        [email-masked] (Cygnus GNU-win32 mailing list)
In-Reply-To: <[email-masked]> from Jim Pick at "Aug 9, 97 08:21:31 pm"
X-Mailer: ELM [version 2.4ME+ PL15 (25)]
Original-Sender: [email-masked]

[This discussion originated on [email-masked], but
I'm sending this to both that list and [email-masked]].

Jim Pick, you wrote:

> > > 2) The Cygnus distribution is not FSSTND based.  I think we
> > >    can just juggle the files around into their proper places without
> > >    causing too much grief.
> > 
> > Yes.  Maybe we can persuade Cygnus to make their distribution FSSTND based.
> 
> Or maybe we can convince them to concentrate on building the winsup/newlib
> "kernel" layer, and leave the distribution building to us.  That's 
> exactly what we do with Linux.

That would be a good idea.

> > >    I don't like how the Cygnus distribution defaults to mounting the
> > >    \ directory at C:\ - it would be much nicer to mount this directory
> > >    at a different (user specified) location (ie. C:\debw32).  That
> > >    way, all the standard FSSTND directories (/bin /dev /etc /home /lib
> > >     /proc /root /sbin /tmp /usr /var) wouldn't pollute the C:\
> > >    directory.  That's fairly important if we want to put it into
> > >    widespread use.
> > 
> > This is also worth suggesting to Cygnus.
> > Their InstallShield installer should have a dialogue box so
> > that the user can choose where to mount the root directory.
> > The default ought to be something other than \.
> 
> Well, we can do it ourselves, and Cygnus can check it out.  I'm
> sure they'd be interested.
> 
> InstallShield basically does the same job as dpkg, but not in as
> good a manner.  And it isn't a "free" tool.  Cygnus would be ill-advised
> to attempt to build a distribution with it.  Frankly, if they are
> going to build a distribution, they should using either rpm, dpkg,
> or the FreeBSD package tools.  Or stay out of the distribution building
> business altogether (like what Linus does).

Cygwin32 is really a base system (or at least the winsup/newlib parts are).
Installing the base system is a bit different to installing additional
packages.

Is there a free tool that does as well as InstallShield does
with regard to the Win32 user interface?

> > > 7) I'm still interested in building a glibc-based layer, since that 
> > >    would be an opportunity to do things in a more standard way.
> > 
> > Yes, this is still a good idea. 
> 
> I was also wondering (and perhaps someone else would have more knowledge
> in this area) - wouldn't it also be possible, down the road, to run
> Linux binaries in ELF format on Win32 using an emulation layer?  I know 
> FreeBSD can do this, and Linux does this with the iBCS package for 
> other binaries.

It ought to be technically possible.  It would certainly be very neat.

> Another weird idea - I wonder if cygwin32.dll would operate under WINE
> or TWIN?  That might be nice for development purposes.  :-)

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".